Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 590660 - Review Request: apache-commons-lang - rename of jakarta-commons-lang
Summary: Review Request: apache-commons-lang - rename of jakarta-commons-lang
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: JakartaCommonsRename
TreeView+ depends on / blocked
 
Reported: 2010-05-10 12:49 UTC by Stanislav Ochotnicky
Modified: 2010-05-13 12:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-13 12:04:35 UTC
akurtako: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Stanislav Ochotnicky 2010-05-10 12:49:37 UTC
Spec URL: http://sochotni.fedorapeople.org/apache-commons-lang.spec
SRPM URL: http://sochotni.fedorapeople.org/apache-commons-lang-2.5-1.fc12.src.rpm

Description: The standard Java libraries fail to provide enough methods for
manipulation of its core classes. The Commons Lang Component provides
these extra methods.

This is package re-review of jakarta-commons-lang. Package renamed and rebased to current upstream version. Dropped gcj support, completely built using maven.

Comment 1 Stanislav Ochotnicky 2010-05-10 14:16:21 UTC
Consider specfile already includes:
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

inside %build

I will fix it together with any further issues you might come across.

Comment 2 Alexander Kurtakov 2010-05-11 06:22:00 UTC
I'm taking this one.

Comment 3 Alexander Kurtakov 2010-05-11 09:51:54 UTC
Review:

OK: rpmlint must be run on every package. OUTPUT:

apache-commons-lang.noarch: W: spelling-error %description -l en_US enum -> menu, en um, en-um
apache-commons-lang.noarch: W: spelling-error %description -l en_US hashCode -> hash Code, hash-code, hashish
apache-commons-lang.noarch: W: spelling-error %description -l en_US toString -> to String, to-string, bowstring
apache-commons-lang.noarch: W: non-conffile-in-etc /etc/maven/fragments/apache-commons-lang


Not a problem. 

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption. 
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines .
OK: The License field in the package spec file must match the actual license. 
OK: The spec file must be written in American English.
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as
provided in the spec URL.
OK: The package MUST successfully compile and build into binary rpms on at
least one primary architecture.
OK: All build dependencies must be listed in BuildRequires, except for any that
are listed in the exceptions section of the Packaging Guidelines ; inclusion of
those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. 
OK: A Fedora package must not list a file more than once in the spec file's
%files listings. 
OK: Permissions on files must be set properly. 
OK: Each package must consistently use macros.
OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. Javadocs
subpackage.
OK: If a package includes something as %doc, it must not affect the runtime of
the application. 
OK: Packages must not own files or directories already owned by other packages. 
OK: All filenames in rpm packages must be valid UTF-8.
OK: Package is correctly Obsoleting/Providing the old jakarta package.

Comment 4 Stanislav Ochotnicky 2010-05-11 11:06:37 UTC
Thanks. Requesting CVS:

New Package CVS Request
=======================
Package Name: apache-commons-lang
Short Description: Provides a host of helper utilities for the java.lang API
Owners: sochotni
Branches: 
InitialCC:

Comment 5 Kevin Fenzi 2010-05-12 17:23:24 UTC
CVS done (by process-cvs-requests.py).

Comment 6 Stanislav Ochotnicky 2010-05-13 12:04:35 UTC
Thank you. Package built. Closing as NEXTRELEASE


Note You need to log in before you can comment on or make changes to this bug.